# coding: utf-8

"""
    Identity Service API

    A list of identity, account and service management APIs.  # noqa: E501

    OpenAPI spec version: 1.6.5
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class InlineResponse20017(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'service_definition_links': 'list[str]',
        'results': 'list[PagedResponseServiceDefinitionResponseResults]'
    }

    attribute_map = {
        'service_definition_links': 'serviceDefinitionLinks',
        'results': 'results'
    }

    def __init__(self, service_definition_links=None, results=None):  # noqa: E501
        """InlineResponse20017 - a model defined in Swagger"""  # noqa: E501
        self._service_definition_links = None
        self._results = None
        self.discriminator = None
        if service_definition_links is not None:
            self.service_definition_links = service_definition_links
        if results is not None:
            self.results = results

    @property
    def service_definition_links(self):
        """Gets the service_definition_links of this InlineResponse20017.  # noqa: E501


        :return: The service_definition_links of this InlineResponse20017.  # noqa: E501
        :rtype: list[str]
        """
        return self._service_definition_links

    @service_definition_links.setter
    def service_definition_links(self, service_definition_links):
        """Sets the service_definition_links of this InlineResponse20017.


        :param service_definition_links: The service_definition_links of this InlineResponse20017.  # noqa: E501
        :type: list[str]
        """

        self._service_definition_links = service_definition_links

    @property
    def results(self):
        """Gets the results of this InlineResponse20017.  # noqa: E501


        :return: The results of this InlineResponse20017.  # noqa: E501
        :rtype: list[PagedResponseServiceDefinitionResponseResults]
        """
        return self._results

    @results.setter
    def results(self, results):
        """Sets the results of this InlineResponse20017.


        :param results: The results of this InlineResponse20017.  # noqa: E501
        :type: list[PagedResponseServiceDefinitionResponseResults]
        """

        self._results = results

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(InlineResponse20017, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, InlineResponse20017):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
